import request from '@/utils/request'

// 新增
export function addCode(data) {
    return request({
        url: '/dxtop/qrCode',
        method: 'post',
        data: data
    })
}
// 修改
export function updataCode(data) {
    return request({
        url: '/dxtop/qrCode',
        method: 'put',
        data: data
    })
}
// 删除
export function delCode(deptId) {
    return request({
        url: '/dxtop/qrCode/' + deptId,
        method: 'delete',
    })
}
// 查询
export function listCode(query) {
    return request({
        url: '/dxtop/qrCode/list',
        method: 'get',
        params: query
    })
}
// 查询
export function channlPageCode() {
    return request({
        url: '/dxtop/topChannel/list',
        method: 'get',
    })
}
// 查询
export function getBs(query) {
    return request({
        url: '/dxtop/order/topScanPayQr',
        method: 'post',
        data: query
    })
}